| ghc-6.10.4: The GHC API | Contents | Index

TcBinds

Documentation
tcLocalBinds :: HsLocalBinds Name -> TcM thing -> TcM (HsLocalBinds TcId, thing)
tcTopBinds :: HsValBinds Name -> TcM (LHsBinds TcId, TcLclEnv)
tcHsBootSigs :: HsValBinds Name -> TcM [Id]
tcMonoBinds :: [LHsBind Name] -> TcSigFun -> RecFlag -> TcM (LHsBinds TcId, [MonoBindInfo])
tcPolyBinds :: TopLevelFlag -> TcSigFun -> TcPragFun -> RecFlag -> RecFlag -> LHsBinds Name -> TcM (LHsBinds TcId, [TcId])
type TcPragFun = Name -> [LSig Name]
tcSpecPrag :: TcId -> LHsType Name -> InlineSpec -> TcM Prag
tcPrags :: Id -> [LSig Name] -> TcM [LPrag]
mkPragFun :: [LSig Name] -> TcPragFun
data TcSigInfo

Constructors

TcSigInfo |

sig_id :: TcId |
sig_tvs :: [TcTyVar] |
sig_theta :: TcThetaType |
sig_tau :: TcTauType |
sig_loc :: InstLoc |

Instances

Outputable TcSigInfo

type TcSigFun = Name -> Maybe [Name]
mkTcSigFun :: [LSig Name] -> TcSigFun
badBootDeclErr :: Message
Produced by Haddock version 2.4.2